import { Clipboard } from '@angular/cdk/clipboard';
import { TranslateService } from '@ngx-translate/core';
import { ToastService } from '@seniorsistemas/angular-components/toast';
import { IAInsightItem } from '../../models/ia-insight-item';
import * as i0 from "@angular/core";
export declare class IAInsightCardComponent {
    private readonly clipboard;
    private readonly toastService;
    private readonly translateService;
    insight: IAInsightItem;
    open: boolean;
    isLoading: boolean;
    content?: string;
    likeSelected: boolean;
    dislikeSelected: boolean;
    constructor(clipboard: Clipboard, toastService: ToastService, translateService: TranslateService);
    toggle(): void;
    onLikeSelected(): void;
    onDislikeSelected(): void;
    copyContent(): void;
    reloadContent(): void;
    private _requestInsight;
    static ɵfac: i0.ɵɵFactoryDeclaration<IAInsightCardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IAInsightCardComponent, "s-ia-insight-card", never, { "insight": { "alias": "insight"; "required": true; }; }, {}, never, never, false, never>;
}
